package librevolt

import kotlin.js.JsExport

/**
 * Return a greeting including the platform name provided by [getPlatformName].
 */
@JsExport
fun greet(): String {
    return "Hello! This is the ${getPlatformName()} version of the library"
}

/**
 * Return the name of the current platform.
 * See the `actual` implementations for values.
 */
expect fun getPlatformName(): String